Package org.eclipse.emf.cdo.server.db.evolution.phased

# Enum Class Phase.Transition

java.lang.Object
java.lang.Enum<Phase.Transition>
org.eclipse.emf.cdo.server.db.evolution.phased.Phase.Transition

All Implemented Interfaces:
  `Serializable`, `Comparable<Phase.Transition>`, `Constable`

Enclosing class:
  `Phase`

public static enum Phase.Transition extends Enum<Phase.Transition>
The possible transitions between phases.

There are four possible transitions:

- `SameTrigger`: The next phase is triggered by the same trigger as the current phase.
- `NextTrigger`: The next phase is triggered by the next trigger in the sequence.
- `StoreRestart`: The next phase requires a restart of the DB store.
- `RepositoryRestart`: The next phase requires a restart of the repository.

Since:
  4.14
Author:
  Eike Stepper
No Implement
  This package is currently considered provisional.
No Extend
  This package is currently considered provisional.
No Reference
  This package is currently considered provisional.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NextTrigger`
The next phase is triggered by the next trigger in the sequence.
`RepositoryRestart`
The next phase requires a restart of the repository.
`SameTrigger`
The next phase is triggered by the same trigger as the current phase.
`StoreRestart`
The next phase requires a restart of the DB store.

## Method Summary

Modifier and Type
Method
Description
`static Phase.Transition`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Phase.Transition[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SameTrigger

public static final Phase.Transition SameTrigger
The next phase is triggered by the same trigger as the current phase.

### NextTrigger

public static final Phase.Transition NextTrigger
The next phase is triggered by the next trigger in the sequence.

### StoreRestart

public static final Phase.Transition StoreRestart
The next phase requires a restart of the DB store.

### RepositoryRestart

public static final Phase.Transition RepositoryRestart
The next phase requires a restart of the repository.

## Method Details

### values

public static Phase.Transition[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Phase.Transition valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null